Skip to main content
GET
/
calls
/
v1
/
conversations
/
{id}
Get Call
curl --request GET \
  --url https://api-prod.interactly.ai/calls/v1/conversations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "a12f9c88-c155-461f-9771-4d240cdc9a04",
  "teamId": "1f7b1b1b1b1b1b1b1b1b1b1b",
  "assistantId": "3f7b1b1b1b1b1b1b1b1b1b1b",
  "callType": "web",
  "direction": "inbound",
  "startAt": "2020-10-05T00:00:00.000Z",
  "endAt": "2020-10-05T00:00:00.000Z",
  "userNumber": "+919867543210",
  "assistantNumber": "+19867543211",
  "status": "finished",
  "phoneCallStatus": "ringing",
  "callEndTriggerBy": "user",
  "monitor": {
    "controlUrl": "https://<domain>.interactly.ai/calls/v1/conversations/<random-id>/control"
  },
  "analysis": {
    "summary": "The user called Dentistry to schedule an appointment.",
    "successEvaluation": "success",
    "structuredData": {}
  },
  "messages": [
    {
      "messageId": "5f7b1b1b1b1b1b1b1b1b1b1b",
      "role": "user",
      "text": "Hello! How can I help you?",
      "timestamp": "2020-10-05T00:00:00.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

id
string
required

Unique identifier of the call

Response

200 - application/json

Successful response

id
string

Unique identifier of the call

Example:

"a12f9c88-c155-461f-9771-4d240cdc9a04"

teamId
string

Unique identifier of the team

Example:

"1f7b1b1b1b1b1b1b1b1b1b1b"

assistantId
string

Unique identifier of the assistant

Example:

"3f7b1b1b1b1b1b1b1b1b1b1b"

callType
enum<string>

This is the type of the call.

Available options:
web,
phone
Example:

"web"

direction
enum<string>
Available options:
inbound,
outbound
Example:

"inbound"

startAt
string<date-time>

This is the ISO 8601 date-time string indicating when the record was initiated.

Example:

"2020-10-05T00:00:00.000Z"

endAt
string<date-time>

This is the ISO 8601 date-time string of when the record was ended.

Example:

"2020-10-05T00:00:00.000Z"

userNumber
string

Phone number of the user

Example:

"+919867543210"

assistantNumber
string

Phone number of the assistant

Example:

"+19867543211"

status
enum<string>

This field indicates the status of the call.

Available options:
queued,
ongoing,
forwarded,
finished
Example:

"finished"

phoneCallStatus
enum<string>

Status of the phone call.

A call can have one of the following statuses:

  • trying: The call has been initiated.
  • early-media: The call is playing an early media message or tone.
  • ringing: The recipient's phone is ringing.
  • in-progress: The call is currently active.
  • busy: The recipient is unavailable to answer.
  • no-answer: The call was not answered.
  • failed: The call attempt was unsuccessful.
  • completed: The call has ended.
Available options:
trying,
early-media,
ringing,
in-progress,
busy,
no-answer,
failed,
completed
Example:

"ringing"

callEndTriggerBy
enum<string>

This is the trigger of the call end.

Available options:
user,
assistant
Example:

"user"

monitor
object

To monitor and control the conversation

analysis
object
messages
object[]